Skip navigation

SPECTRUM 4.0

Dear SPECTRUM 4.0 users,

this website is new but we still provide you with all important information about SPECTRUM 4.0.

Here you will find background information about how to use SPECTRUM 4.0 such as

  • Manual
  • Training videos
  • Contact with our SPECTRUM-Team

Please note, that SPECTRUM 4.0 won't run on the operating system Windows 8. We recommend you the upgrade to the latest version SPECTRUM 5.